/*
 Theme Name:     Divi Child
 Theme URI:      https://www.FlexRxFit.com
 Description:    FlexRx Fitness site child theme
 Author:         William Valencia
 Author URI:     https://www.williamvalencia.com
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */

/* Universal Valencia Divi CSS for all my sites */

/* ---------REVERSE ORDER OF COLUMNS ITEMS------ */
@media screen and ( max-width: 980px ) {
    .reverse {
        display: flex;
        flex-direction: column-reverse;
    }
}
/* ----Vertical center content by selecting Equalize col height feature---- */

.et_pb_equal_columns >.et_pb_column {
margin-top:auto;
margin-bottom:auto;
}
/* **END Universal Valencia Divi CSS for all my sites** */

/* -------------CTA BUTTON in NAVIGATION------------------------------*/

/* https://diviengine.com/add-a-cta-button-to-the-divi-menu/ */
		
#menu-main-menu .wv_menu_cta a{
		color: #ffffff !important; /* Change button text color here */
		background-color: #917ee5 !important; /* Change button background color here */
		font-size: 17px !important; /* Change text size here */
		border-radius: 50px; /* Set this to 0px if you want a square CTA button */
		-webkit-border-radius: 50px;
		-moz-border-radius: 50px;
		text-align: center;
		line-height: 9px;
		font-weight: 600;
		padding: 18px 16px !important;
		text-transform: initial !important;
		display: block;
		padding-left: 35px !important;
		padding-right: 28px !important;
		border: 0px;
}

/* Media query to ensure hover styles are only applied to desktop */

@media (min-width: 981px) {
    
/* Hover styles for our CTA Button */
 #menu-main-menu .wv_menu_cta a:hover {
        opacity: 1 !important;
        color: #ffffff !important; /* Change hover button text color here */
        background-color: #ed7e3d !important; /* Change hover button background color here */
        transform: scale(1.1); /* If you don't want the button to get bigger when you hover on it, delete this line */
    }
} 

/* Fix the padding in the primary menu to accomodate the button */
.et_pb_menu--with-logo .et_pb_menu__menu>nav>ul>li>a {
    padding-top: 0px;
    padding-bottom: 0px;
}
/* Make sure that the alignment in the menu is correct */
	.et_pb_menu .et_pb_menu__menu>nav>ul>li {
		align-items: center;
}
/* -------------END CTA BUTTON in NAVIGATION------------------------------*/

